stable

akonadi-calendar-tools-23.08.1-1.fc39, akonadiconsole-23.08.1-1.fc39, & 316 more

FEDORA-2023-977de87584 created by marcdeop 6 months ago for Fedora 39

KDE Frameworks 5.110.0 KDE Gear 23.08.1

Reboot Required
After installing this update it is required that you reboot your system to ensure the changes supplied by this update are applied properly.

How to install

Updates may require up to 24 hours to propagate to mirrors. If the following command doesn't work, please retry later:

sudo dnf upgrade --refresh --advisory=FEDORA-2023-977de87584

This update's test gating status has been changed to 'waiting'.

6 months ago

This update has been submitted for testing by bodhi.

6 months ago
User Icon kkofler commented & provided feedback 6 months ago
karma

Yet another incompatible kdepim stack update that is being backported before the dependent packages (at least blogilo) are sorted out in Rawhide.

While I normally would agree with you @kkofler, I don't think trying to support unmaintained software is worth our effort.

Is there any other software which needs updating beside blogilo?

@kkofler blogilo is dead due to a lack of maintainer upstream. Why not take it over upstream and fix it, since you clearly use it. https://invent.kde.org/unmaintained/blogilo

This update's test gating status has been changed to 'passed'.

6 months ago

The update policy is pretty clear that incompatible library updates should be avoided, and if unavoidable, they must be pushed together with rebuilds of the applications that they would otherwise break.

As you can see, I have already done some work on getting blogilo to build: https://src.fedoraproject.org/rpms/blogilo/commits/rawhide – in fact, it is waiting on a ktextaddons update that adds the TextEmoticonsWidgets part that is being moved out of kf5-kpimtextedit (which is why my patch to export the header from kf5-kpimtextedit no longer applied). The blogilo patch is already there (though it might need small fixes, I cannot test the build without the ktextaddons update). I was about to update ktextaddons, but I see @marcdeop has built it today in a side tag: https://koji.fedoraproject.org/koji/buildinfo?buildID=2294648 – we need rebuilds of kf5-kpimtextedit and blogilo there, that should fix Blogilo.

I am rebuilding kf5-kpimtextedit in the side tag f40-build-side-74444 now, then blogilo. I am not going to build other things in the side tag, so if there are other packages you know or think need rebuilding for ktextaddons, then please do so. That is all f40/rawhide-only for now, we will have to build the same packages in f39-build-side-74302 once we have this sorted out in Rawhide.

Looks like kf5-pimcommon needs a specfile update (and maybe a patch) for the new ktextaddons, KF5TextAutoCorrection was split into KF5TextAutoCorrectionCore and KF5TextAutoCorrectionWidgets.

(I cannot build blogilo in f40-build-side-74444 due to the broken Requires in kf5-pimcommon-devel.)

kf5-kpimcommon updated, but kf5-messagelib needs a rebuild for the new ktextaddons due to the bumped soname, rebuilding that too.

I have blogilo building in f40-build-side-74444 now: I have built the following packages there:

  • ktextaddons-1.5.1-1.fc40 (built by @marcdeop, not by me)
  • kf5-kpimtextedit-23.08.1-3.fc40
  • kf5-pimcommon-23.08.1-2.fc40
  • kf5-messagelib-23.08.1-2.fc40
  • blogilo-17.08.3-28.fc40

Can we push that side tag to Rawhide stable or are there more packages that should be rebuilt first?

If everything is good, we need these 5 packages rebuilt in f39-build-side-74302 so that they are included in this update.

This update has been pushed to testing.

6 months ago

Bodhi is disabling automatic push to stable due to negative karma. The maintainer may push manually if they determine that the issue is not severe.

6 months ago
User Icon imabug commented & provided feedback 6 months ago
karma

got this error during the upgrade

Problem: package kf5-kmailtransport-akonadi-23.04.3-2.fc39.x86_64 from @System requires kf5-kmailtransport(x86-64) = 23.04.3-2.fc39, but none of the providers can be installed
- cannot install both kf5-kmailtransport-23.08.1-1.fc39.x86_64 from updates-testing and kf5-kmailtransport-23.04.3-2.fc39.x86_64 from @System
- cannot install both kf5-kmailtransport-23.08.1-1.fc39.x86_64 from updates-testing and kf5-kmailtransport-23.04.3-2.fc39.x86_64 from fedora
- cannot install the best update candidate for package kf5-kmailtransport-akonadi-23.04.3-2.fc39.x86_64
- cannot install the best update candidate for package kf5-kmailtransport-23.04.3-2.fc39.x86_64

Also this error terminated the upgrade attempt

Error: Transaction test error:
file /usr/lib64/qt5/plugins/pim5/mailtransport/mailtransport_akonadiplugin.so from install of kdepim-runtime-libs-1:23.08.1-2.fc39.x86_64 conflicts with file from package kf5-kmailtransport-23.04.3-2.fc39.x86_64

This looks like kdepim-runtime-libs should have an Obsoletes: kf5-kmailtransport-akonadi < 23.08.

User Icon nphilipp commented & provided feedback 6 months ago
karma

Got probably the same file conflict when attempting to update from F39 Beta:

Error: Transaction test error:
  file /usr/lib64/qt5/plugins/pim5/mailtransport/mailtransport_akonadiplugin.so from install of kdepim-runtime-libs-1:23.08.1-2.fc39.x86_64 conflicts with file from package kf5-kmailtransport-23.04.3-2.fc39.x86_64

This update has been obsoleted.

6 months ago

marcdeop edited this update.

New build(s):

  • kmail-23.08.1-2.fc39
  • knotes-23.08.1-2.fc39
  • kdepim-runtime-23.08.1-3.fc39
  • kdepim-addons-23.08.1-2.fc39
  • kjots-5.1.1-3.fc39
  • kf5-libksieve-23.08.1-2.fc39
  • kalarm-23.08.1-2.fc39
  • akregator-23.08.1-2.fc39
  • kf5-kpimtextedit-23.08.1-3.fc39
  • blogilo-17.08.3-28.fc39
  • kf5-messagelib-23.08.1-2.fc39
  • kf5-pimcommon-23.08.1-2.fc39
  • ktextaddons-1.5.1-1.fc39

Removed build(s):

  • akregator-23.08.1-1.fc39
  • kalarm-23.08.1-1.fc39
  • kdepim-addons-23.08.1-1.fc39
  • kdepim-runtime-23.08.1-2.fc39
  • kf5-kpimtextedit-23.08.1-2.fc39
  • kf5-libksieve-23.08.1-1.fc39
  • kf5-messagelib-23.08.1-1.fc39
  • kf5-pimcommon-23.08.1-1.fc39
  • kmail-23.08.1-1.fc39
  • knotes-23.08.1-1.fc39

Karma has been reset.

6 months ago

This update has been submitted for testing by kkofler.

6 months ago
User Icon imabug provided feedback 6 months ago
karma
User Icon geraldosimiao commented & provided feedback 6 months ago
karma

works, no conflicts.

User Icon farchord commented & provided feedback 6 months ago
karma

Installs fine, no conflicts and everything's good after reboot!

ngompa edited this update.

6 months ago
User Icon ngompa commented & provided feedback 6 months ago
karma

Works for me.

This update has been submitted for stable by bodhi.

6 months ago

FEDORA-2023-977de87584 ejected from the push because "Cannot find relevant tag for akonadi-calendar-tools-23.08.1-1.fc39. None of ['f39-updates-pending', 'f39-build-side-74302'] are in ['epel9-next-testing-candidate', 'epel7-testing-candidate', 'eln-updates-candidate', 'epel8-testing-candidate', 'epel9-testing-candidate', 'epel8-next-testing-candidate', 'f40-container-updates-candidate', 'f37-modular-updates-candidate', 'f38-modular-updates-candidate', 'f39-container-updates-candidate', 'f39-updates-candidate', 'f38-flatpak-updates-candidate', 'f40-updates-candidate', 'f37-updates-candidate', 'f37-container-updates-candidate', 'f37-flatpak-updates-candidate', 'f38-updates-candidate', 'f38-container-updates-candidate', 'f39-flatpak-updates-candidate']."

6 months ago

I am retagging all the packages in this update into f39-updates-candidate.

This update has been submitted for testing by kkofler.

6 months ago

This update has been pushed to testing.

6 months ago

This update has been submitted for stable by bodhi.

6 months ago

This update has been pushed to stable.

6 months ago

Please login to add feedback.

Metadata
Type
bugfix
Karma
4
Signed
Content Type
RPM
Test Gating
Builds
318
Settings
Unstable by Karma
-3
Stable by Karma
2
Stable by Time
14 days
Dates
submitted
6 months ago
in testing
6 months ago
in stable
6 months ago
modified
6 months ago
approved
6 months ago

Automated Test Results